StdKeyDeserializer (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.deser.std

## Class StdKeyDeserializer

- java.lang.Object
- - org.codehaus.jackson.map.KeyDeserializer
  - - org.codehaus.jackson.map.deser.std.StdKeyDeserializer

- Direct Known Subclasses:
    StdKeyDeserializer

      public abstract class StdKeyDeserializer
      extends KeyDeserializer

  Base class for simple key deserializers.
  Since:
    1.9 (moved from 'org.codehaus.jackson.map.deser.StdKeyDeserializer')

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.jackson.map.KeyDeserializer

      `KeyDeserializer.None`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Class<?>` | `_keyClass`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `StdKeyDeserializer(Class<?> cls)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract Object` | `_parse(String key, DeserializationContext ctxt)`
    `protected double` | `_parseDouble(String key)`
    `protected int` | `_parseInt(String key)`
    `protected long` | `_parseLong(String key)`
    `Object` | `deserializeKey(String key, DeserializationContext ctxt)` Method called to deserialize a `Map` key from JSON property name.
    `Class<?>` | `getKeyClass()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _keyClass

          protected final Class<?> _keyClass

  - ### Constructor Detail

    - #### StdKeyDeserializer

          protected StdKeyDeserializer(Class<?> cls)

  - ### Method Detail

    - #### deserializeKey

          public final Object deserializeKey(String key,
                              DeserializationContext ctxt)
                                      throws IOException,
                                             JsonProcessingException

      Description copied from class: `KeyDeserializer`
      Method called to deserialize a `Map` key from JSON property name.
      Specified by:
        `deserializeKey` in class `KeyDeserializer`
      Throws:
        `IOException`
        `JsonProcessingException`

    - #### getKeyClass

          public Class<?> getKeyClass()

    - #### _parse

          protected abstract Object _parse(String key,
                      DeserializationContext ctxt)
                                    throws Exception

      Throws:
        `Exception`

    - #### _parseInt

          protected int _parseInt(String key)
                           throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### _parseLong

          protected long _parseLong(String key)
                             throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### _parseDouble

          protected double _parseDouble(String key)
                                 throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`